dysk(1)

NAME
dysk - the dysk cli as a library

SYNOPSIS
dysk [--help] [--version] [-a|--all] [--color] [--ascii] [--remote-stats] [--list-cols] [-c|--cols] [-f|--filter] [-s|--sort] [-u|--units] [-j|--json] [--csv] [--csv-separator] [--timeout] [PATH]

DESCRIPTION
List your filesystems.

Documentation at https://dystroy.org/dysk

OPTIONS

--help
    print help information

--version
    print the version

-a, --all
    show all mount points

--color <color> [default: auto]
    whether to have styles and colors

    [possible values: auto, yes, no]

--ascii
    use only ASCII characters for table rendering

--remote-stats <choice> [default: auto]
    fetch stats of remote volumes

    [possible values: auto, yes, no]

--list-cols
    list the column names which can be used in -s, -f, or -c

-c, --cols <columns> [default: fs+type+disk+used+use+free+size+mp]
    columns, eg `-c +inodes` or `-c id+dev+default`

-f, --filter <expr>
    filter, eg `-f '(size<35G | remote=false) & type=xfs'`

-s, --sort <sort> [default: size]
    sort, eg `inodes`, `type-desc`, or `size-asc`

-u, --units <unit> [default: SI]
    units: `SI` (SI norm), `binary` (1024 based), or `bytes` (raw number)

-j, --json
    output as JSON

--csv
    output as CSV

--csv-separator <sep> [default: ,]
    CSV separator

--timeout <TIMEOUT>
    timeout to use for some operations, eg `10s` or `5ms`

[PATH]
    if provided, only the device holding this path will be shown

VERSION
v3.6.0

AUTHORS
dystroy <denys.seguret@gmail.com>